//+------------------------------------------------------------------+
//|                                                        DayOpen2.mq4 |
//|                               
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""

#property indicator_chart_window
//#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 White
#property indicator_color2 Aqua

//---- input parameters
extern int EUOpenHour=2; 
extern int USOpenHour=8;
//---- buffers
double PBuffer1[];
double PBuffer2[];
//string Pivot1="EU Open";
//string Pivot2="US Open";

int fontsize=10;
double P,U;
double x;

//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- TODO: add your code here

   ObjectDelete("EU Open");
   ObjectDelete("US Open");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string short_name;


//---- indicator line
   SetIndexStyle(0,DRAW_LINE,0,2,White);
   SetIndexStyle(1,DRAW_LINE,0,2,Aqua);
   SetIndexBuffer(0,PBuffer1);   
   SetIndexBuffer(1,PBuffer2);



//---- name for DataWindow and indicator subwindow label
   short_name="Daily Open 2";
   IndicatorShortName(short_name);
   SetIndexLabel(0,short_name);

//----
   SetIndexDrawBegin(0,1);
   
//----
 

//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()

  {
   int    counted_bars=IndicatorCounted();

   int limit, i;
//---- indicator calculation

if (counted_bars==0)
{
   x=Period();
   if (x>240) return(-1);
   ObjectCreate("EU Open", OBJ_TEXT, 0, 0,0);
   ObjectSetText("EU Open", "                 EU Open",fontsize,"Arial",Red);
   ObjectCreate("US Open", OBJ_TEXT, 0, 0, 0);
   ObjectSetText("US Open", "      US Open",fontsize,"Arial",Red);
}


   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
//   if(counted_bars>0) counted_bars--;
   limit=(Bars-counted_bars)-1;



for (i=limit; i>=0;i--)
{ 
int x=Hour()-EUOpenHour;
int y=Hour()-USOpenHour;
   
  P=iOpen(Symbol(),60,x);Print("P=",P);
   
  U=iOpen(Symbol(),60,y);Print("U=",U);
   
  if (PBuffer1[i]!=PBuffer1[i+1])   ObjectMove("EU Open", 0, Time[i],P);
  if (PBuffer2[i]!=PBuffer2[i+1])   ObjectMove("US Open", 0, Time[i],U);
  
    PBuffer1[i]=P;
    PBuffer2[i]=U;

}

//----
   return(0);
  }
//+------------------------------------------------------------------+